/* Copyright 2011, Martin Koller, kollix@aon.at

  This file is part of ShowImage.

  ShowImage is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  ShowImage is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with ShowImage.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _Overlay_H_
#define _Overlay_H_

#include <ImageWidget.hxx>

class QLabel;

class Overlay : public QWidget
{
  Q_OBJECT

  public:
    Overlay(ImageWidget *parent);

    void setText(const QString &text);

    // resize to the smaller size
    void setSmall();

    // resize to the larger size (for fullscreen usage)
    void setLarge();

  protected:
    virtual void resizeEvent(QResizeEvent *event);

  private:
    QLabel *label;
};

#endif
