# spec file for package showimage
#
# Copyright (c) 2011 Martin Koller
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bug fixes or comments via mailto:kollix@aon.at
 
# norootforbuild
 
Summary: ShowImage is a simple KDE based image viewer
Name:    showimage
Version: 1.8.2
Release: 1
License: GPL
Group:   Productivity/Graphics/Viewers
Source:  %{name}-%{version}.tar.bz2
%if 0%{?mandriva_version}
BuildRequires: kdelibs4-devel
%else
%if 0%{?fedora}
BuildRequires: kdelibs-devel gcc-c++
%else
BuildRequires: libkde4-devel
%endif
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-build
 
%description
ShowImage is a simple KDE based image viewer using the maximum space inside its window
without cluttering the window with menubar, toolbar or statusbar.
You simply act via the keyboard (rotate, zoom, etc.) or via the context menu (right mouse click).
You can view a single image or browse through a full directory, optionally in fullscreen mode.

Authors:
--------
    Martin Koller <kollix@aon.at>
 
#================= PACKAGE LANG ==================
#%package lang
#Group:    System/Localization
#Summary:  Languages for package showimage
#Requires: %{name} = %{version}
 
#%description lang
#Provides translations and help to the package showimage.
 
#Authors:
#--------
#    Martin Koller <kollix@aon.at>
 
#================= PREP ==================
%prep
%setup -q
 
#================= BUILD ==================
%build
%if 0%{?suse_version}
%cmake_kde4 -d build
%make_jobs
%else
%cmake
make
%endif

#================= INSTALL ==================
%install
%if 0%{?fedora}
%else
pushd build
%endif
make DESTDIR=$RPM_BUILD_ROOT install
%if 0%{?fedora}
%else
popd
%endif
 
%find_lang %{name}
 
%if 0%{?suse_version}
%suse_update_desktop_file %name
%kde_post_install
%else
%endif
 
 
#================= POST / POSTUN Mandriva ==================
%if 0%{?mandriva_version}
%post
%update_menus
 
%postun
%clean_menus
%endif
 
#================= CLEAN ==================
%clean
rm -rf $RPM_BUILD_ROOT
 
#================= FILES ==================
%files
%defattr(-,root,root)
%doc Changelog TODO INSTALL
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%if 0%{?mandriva_version}
%{_datadir}/apps/%{name}
%else
%{_datadir}/kde4/apps/%{name}
%endif
 
#================= CHANGELOG ==================
%changelog
* Sat Aug 6 2011 Martin Koller <kollix@aon.at> - 1.5
First OBS version
